#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <cutil.h>

#include "cconfig.h"
#include "gpu_config.h"
#include "cuparam-size.h"
#include "flop_table.h"


//
// Fortran module vars
//
#include "cufortran_vars.h"

namespace gpu1 {

#define __NEW_GPU_SOLVER      new_gpu_solver_g1
#define __DELETE_GPU_SOLVER   delete_gpu_solver_g1
#define __S_BICGSTAB_HMC_GPU  bicgstab_g1
#define __TEST_MULT           test_mult_g1

#include "main_gpu_solver.h"

}
