#ifndef LQFT_CONFIG_H_
#define LQFT_CONFIG_H_

#define _VERSION_ "refactored-v1.597-SF0.95"

#define _NTX  8
#define _NTY  8
#define _NTZ  8
#define _NTT 16

#define _NDIMX  1
#define _NDIMY  1
#define _NDIMZ  1

#define _SF
#define _SF_BOUNDARY_TYPE 0

#define _RGGAUGE

#define _CLOVER

#define _HMC_SOLVER_ bicgstab_alg

#define _CLV_SOLVER  clvinv_ldl




#if _NDIMX > 1
#define _DEPTHX 1
#else
#define _DEPTHX 0
#endif
#if _NDIMY > 1
#define _DEPTHY 1
#else
#define _DEPTHY 0
#endif
#if _NDIMZ > 1
#define _DEPTHZ 1
#else
#define _DEPTHZ 0
#endif
#undef _singlePU
#if (_DEPTHX==0) && (_DEPTHY==0) && (_DEPTHZ==0)
#define _singlePU
#endif

#define _NX (_NTX/_NDIMX)
#define _NY (_NTY/_NDIMY)
#define _NZ (_NTZ/_NDIMZ)


#undef _REVCHECK



#endif
