#ifndef _GPU_CONFIG_H
#define _GPU_CONFIG_H

#undef _USE_TEXFETCH_


#define _NRAS (2)
#define _NMR  (8)

#define  _NDEPTH  (1)

#define  _NGX   (1)

#define  _NTHZ  (8)

#define _CEIL (64)

#define  _NTHT  (_NTT/2)

#define  _NBX  (_NX/_NGX)
#define  _NBY   _NY
#define  _NBZ  (_NZ/_NTHZ)

#define  _NTHREADS  (_NTHZ*_NTHT)
#define  _NBLOCKS   (_NBX*_NBY*_NBZ)

#endif
