#include <config.h>
module error_class
!
! Simple error stop module
!
! program will stop with error message.
!
  use comlib
  use lattice_class
  implicit none
  private
  public :: error_message
  public :: error_stop

contains

subroutine error_message(str)
  implicit none
  character(*) :: str ! error message
  if (nodeid==0) then
    write(*,'("ERROR MSGE: ",A)')TRIM(ADJUSTL(str))
  endif
  return
end subroutine

subroutine error_stop(str)
  implicit none
  character(*) :: str ! error message
  if (nodeid==0) then
    write(*,'("ERROR STOP: ",A)')TRIM(ADJUSTL(str))
  endif
#ifndef _singlePU
  call comlib_finalize()
#endif

  stop
end subroutine

end module
